aboutsummaryrefslogtreecommitdiff
path: root/tools/makebkp.sh
diff options
context:
space:
mode:
authorcassio <cassiopc@gmail.com>2013-07-02 05:46:45 +0000
committercassio <cassiopc@gmail.com>2013-07-02 05:46:45 +0000
commitbe2491b093b1f0ca430bede679ecbb670041e483 (patch)
treefe2da63d1811cb93e4352a43a113ace37b9f6017 /tools/makebkp.sh
parenta9aa438ea0558eb0044cf1e54a9190ddb41b65e5 (diff)
downloadboca-be2491b093b1f0ca430bede679ecbb670041e483.tar.gz
boca-be2491b093b1f0ca430bede679ecbb670041e483.zip
restructuring of boca's git
Diffstat (limited to 'tools/makebkp.sh')
-rwxr-xr-xtools/makebkp.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/tools/makebkp.sh b/tools/makebkp.sh
new file mode 100755
index 0000000..5a99c8a
--- /dev/null
+++ b/tools/makebkp.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+for i in zip du find cut; do
+ p=`which $i`
+ if [ -x "$p" ]; then
+ echo -n ""
+ else
+ echo "$i" not found
+ exit 1
+ fi
+done
+
+ex=`which singlefilebkp.sh`
+if [ "$ex" = "" ]; then
+ ex=/var/www/boca/tools/singlefilebkp.sh
+fi
+
+if [ -x "$ex" ]; then
+ zip /tmp/bkp.zip `find $cdir -name "*.c"` `find $cdir -name "*.java"` `find $cdir -name "*.cpp"` `find $cdir -name "*.in"`
+ if [ ! -f /tmp/bkp.zip ]; then
+ echo "Nothing to backup"
+ else
+ size=`du -s /tmp/bkp.zip | cut -f1`
+ if [ "$size" -gt 100000 ]; then
+ echo Bkp is already too large. BACKUP ABORTED
+ else
+ $ex /tmp/bkp.zip
+ fi
+ fi
+else
+ echo Bkp script not found or is not executable
+fi